# Class TableOfContents

#### Hierarchy

- FileChild
  - TableOfContents

- Defined in src/file/table-of-contents/table-of-contents.ts:12

#####
Index

### Constructors

constructor

### Properties

fileChild

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableOfContents(alias?, properties?): TableOfContents

- #### Parameters

  - ##### alias: string = "Table of Contents"

  - ##### `Optional` properties: ITableOfContentsOptions

  #### Returns TableOfContents

  Overrides FileChild.constructor

  - Defined in src/file/table-of-contents/table-of-contents.ts:13

## Properties

### `Readonly` fileChild

fileChild: symbol = ...

Inherited from FileChild.fileChild

- Defined in src/file/file-child.ts:4

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from FileChild.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from FileChild.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc